import 'package:app/pages/student/home/s_home_page.dart';
import 'package:app/router/router_config.dart';

import '../../pages/student/room/s_room_page.dart';
import '../route_paths.dart';

List<RouterConfig> studentRoutes = [
  RouterConfig(
    path: RoutePaths.sHome,
    child: (state) {
      return SHomePage();
    },
  ),
  RouterConfig(
    path: RoutePaths.sRoom,
    child: (state) {
      final extra = state.extra as dynamic;
      return SRoomPage(
        roomInfo: extra,
      );
    },
  ),
];
